Subject: Re: 25.0.50; Eieio constructor behaviour changed and broke pcache.el

From: Kirill Ignatiev <[email-masked]>
Date: Sat, 17 Jan 2015 00:59:55 -0500

> You have to recompile all the packages compiled with 24.4 when switching to 25.

I did recompile pcache while figuring out a reduced test case, but I
don't see how that's relevant here. I observe this change of behaviour
on this specific test case when starting emacs with -Q and using only
the eieio package, which is built-in, so it was compiled when emacs
was compiled. That pcache fails because of this is just how I found
out that there might be some problem there.